Name:           perl-Squatting
Version:        0.81
Release:        1%{?dist}
Summary:        Camping-inspired Web Microframework for Perl
License:        MIT
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Squatting/
Source0:        http://www.cpan.org/authors/id/B/BE/BEPPU/Squatting-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Class::C3::Componentised)
BuildRequires:  perl(Clone)
BuildRequires:  perl(Continuity) >= 0.991
BuildRequires:  perl(Data::Dump)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(HTTP::Daemon)
BuildRequires:  perl(HTTP::Response)
BuildRequires:  perl(IO::All)
BuildRequires:  perl(JSON::XS)
BuildRequires:  perl(Shell::Perl)
BuildRequires:  perl(Test::More)
Requires:       perl(Class::C3::Componentised)
Requires:       perl(Clone)
Requires:       perl(Continuity) >= 0.991
Requires:       perl(Data::Dump)
Requires:       perl(HTTP::Daemon)
Requires:       perl(HTTP::Response)
Requires:       perl(IO::All)
Requires:       perl(JSON::XS)
Requires:       perl(Shell::Perl)
Requires:       perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Squatting is a web microframework based on Camping. It originally used
Continuity as its foundation, but it has since been generalized such that
it can squat on top of any Perl-based web framework (in theory).

%prep
%setup -q -n Squatting-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes edit MIT-LICENSE README
%{perl_vendorlib}/*
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Sun Nov 13 2011 Dave Cross <dave@mag-sol.com> 0.81-1
- Specfile autogenerated by cpanspec 1.78.
